<template>
  <div class="container">
    <header
      class="
        d-flex
        flex-wrap
        align-items-center
        justify-content-center justify-content-md-between
        py-3
        mb-4
        border-bottom
      "
    >
      <router-link
        to="/"
        class="
          d-flex
          align-items-center
          col-md-3
          mb-2 mb-md-0
          text-dark text-decoration-none
        "
      >
        <svg
          class="bi me-2"
          width="40"
          height="32"
          role="img"
          aria-label="Bootstrap"
        >
          <use xlink:href="#bootstrap"></use>
        </svg>
      </router-link>

      <ul class="nav col-12 col-md-auto mb-2 justify-content-center mb-md-0">
        <li>
          <router-link class="nav-link px-2 link-secondary" to="/"
            >Menu</router-link
          >
        </li>
        <div class="d-flex justify-content-center" v-if="isLogin">
          <li>
            <router-link class="nav-link px-2 link-dark" to="/services"
              >Services</router-link
            >
          </li>
          <li>
            <router-link class="nav-link px-2 link-dark" to="/coaches"
              >Prestataires</router-link
            >
          </li>
          <li>
            <router-link
              to="/administration/categories"
              class="nav-link px-2 link-dark"
              >Categories</router-link
            >
          </li>
          <li>
            <router-link
              to="/administration/utilisateurs"
              class="nav-link px-2 link-dark"
              >Utilisateurs</router-link
            >
          </li>
          <li>
            <router-link
              to="/appels-offre"
              class="nav-link px-2 link-dark"
              >Appels d'offre</router-link
            >
          </li>
        </div>
      </ul>

      <div class="col-md-3 text-end">
        <div class="d-flex justify-content-center" v-if="isLogin">
          <router-link class="btn btn-primary me-2" to="/mon-compte"
            >Mon compte</router-link
          >
          <button v-on:click="loggout" class="btn btn-outline-primary me-2">
            Déconnexion
          </button>
        </div>
        <div class="d-flex justify-content-center" v-else>
          <router-link class="btn btn-outline-primary me-2" to="/login"
            >Connexion</router-link
          >
          <router-link class="btn btn-primary" to="/connexion"
            >Inscription</router-link
          >
        </div>
      </div>
    </header>
  </div>
</template>

<style scoped>
.color-hint {
  background: linear-gradient(green, 10%, lightseagreen);
}
</style>

<script>
export default {
  methods: {
    loggout() {
      sessionStorage.removeItem("token");
      location.reload();
    },
  },
  computed: {
    isLogin() {
      var val = false;
      if (sessionStorage.getItem("token")) {
        val = true;
      }
      return val;
    },
  },
};
</script>